SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001823SiT!outbound emailpublic2012-12-06 21:302013-07-06 17:22
Reporterringram74 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.67 LTS 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001823: First response email has slash in subject if incident was generated by incoming email with quote (') in subject
DescriptionWhen an incident is generated from an incoming email and that email has a quote in the subject line, the first response email will contain the escape slash in the subject line. For instance, if you send an email to the support inbox for SiT with a subject of "Help needed with Russ's computer!", when the incident gets assigned to an engineer and an email is triggered, that outgoing email with have a subject of "[1] Help needed with Russ\'s computer!". The slash isn't there in the ticket title in the web interface, however.
Steps To ReproduceHave SiT configured to check an email inbox.
Send email to the support inbox with a quote in the subject line
Assign the incident that was generated from your email to user
Additional InformationI'm running SiT v3.67p1 on CentOS 6.3 with PHP 5.3.3 with a MySQL 5.1.66 backend.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004608)
FlyingScotsman (reporter)
2012-12-06 23:40

Shouldn't the category be inbound email?
(0004609)
ringram74 (reporter)
2012-12-06 23:42

No. The inbound email is handled correctly by adding the slash so it goes into the database properly. The outbound email should be removing the slash and is not.
User avatar (0004658)
paulh (administrator)
2013-01-20 12:54

Can reproduce this, as ringram74 says this only affects the welcomeing email sent by the triggers, the web interface and subsequent emails are OK
User avatar (0004660)
ivan (administrator)
2013-02-03 11:52

I think commit f8d33900 in Git fixes this. Need to check.
User avatar (0004662)
paulh (administrator)
2013-02-03 15:12

I'll check with my test system when I can back to a machine which can route email
User avatar (0004670)
ivan (administrator)
2013-02-03 15:25

Also committed in the 3.x branch svn 7564
User avatar (0004690)
paulh (administrator)
2013-02-04 19:36

can confirm Ivans previous fixes resolves this issue

- Issue History
Date Modified Username Field Change
2012-12-06 21:30 ringram74 New Issue
2012-12-06 23:40 FlyingScotsman Note Added: 0004608
2012-12-06 23:42 ringram74 Note Added: 0004609
2013-01-20 12:54 paulh Note Added: 0004658
2013-01-20 12:54 paulh Status new => confirmed
2013-02-03 11:52 ivan Note Added: 0004660
2013-02-03 15:12 paulh Assigned To => paulh
2013-02-03 15:12 paulh Status confirmed => assigned
2013-02-03 15:12 paulh Note Added: 0004662
2013-02-03 15:25 ivan Note Added: 0004670
2013-02-04 19:36 paulh Note Added: 0004690
2013-02-04 19:36 paulh Status assigned => resolved
2013-02-04 19:37 paulh Resolution open => fixed
2013-02-04 19:37 paulh Fixed in Version => Current SVN
2013-07-06 17:22 ivan Target Version => 3.68


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker